Copy files
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Copy files action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Copy files from another pipeline",
"type": "COPY_FILES",
"copy_hidden_files": true,
"trigger_time": "ON_EVERY_EXECUTION",
"source_pipeline": {
"id": 2
},
"target_pipeline": {
"id": 3
},
"source_path": "/",
"target_path": "Home/www/",
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
]
}'STATUS200 OK